org.eclipse.rdf4j.sparqlbuilder.core.query

## Class InsertDataQuery

- java.lang.Object
- - org.eclipse.rdf4j.sparqlbuilder.core.query.InsertDataQuery

- All Implemented Interfaces:
    QueryElement

      public class InsertDataQuery
      extends Object

  The SPARQL Insert Data Query
  See Also:
    SPARQL INSERT DATA Query

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Optional<GraphName>` | `graphName`
    `protected TriplesTemplate` | `triplesTemplate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsertDataQuery()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected T` | `addTriples(TriplePattern... triples)`
    `protected void` | `appendNamedTriplesTemplates(StringBuilder queryString, Optional<GraphName> graphName, TriplesTemplate triples)`
    `T` | `base(Base base)` Set the Base clause of this query
    `T` | `base(Iri iri)` Set the base IRI of this query
    `String` | `getPrefix()`
    `protected String` | `getQueryActionString()`
    `String` | `getQueryString()`
    `T` | `graph(GraphName graph)`
    `InsertDataQuery` | `insertData(TriplePattern... triples)` Add triples to be inserted
    `InsertDataQuery` | `insertData(TriplesTemplate triplesTemplate)` Set this query's triples template
    `InsertDataQuery` | `into(GraphName graph)` Specify a graph to insert the data into
    `T` | `prefix(Prefix... prefixes)` Add prefix declarations to this query
    `T` | `prefix(PrefixDeclarations prefixes)` Set the Prefix declarations of this query
    `protected T` | `setTriplesTemplate(TriplesTemplate triplesTemplate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### triplesTemplate

          protected TriplesTemplate triplesTemplate

    - #### graphName

          protected Optional<GraphName> graphName

  - ### Constructor Detail

    - #### InsertDataQuery

          public InsertDataQuery()

  - ### Method Detail

    - #### insertData

          public InsertDataQuery insertData(TriplePattern... triples)

      Add triples to be inserted
      Parameters:
        `triples` - the triples to add to this insert data query
      Returns:
        this Insert Data query instance

    - #### insertData

          public InsertDataQuery insertData(TriplesTemplate triplesTemplate)

      Set this query's triples template
      Parameters:
        `triplesTemplate` - the `TriplesTemplate` instance to set
      Returns:
        this instance

    - #### into

          public InsertDataQuery into(GraphName graph)

      Specify a graph to insert the data into
      Parameters:
        `graph` - the identifier of the graph
      Returns:
        this Insert Data query instance

    - #### getPrefix

          public String getPrefix()

    - #### addTriples

          protected T addTriples(TriplePattern... triples)

    - #### setTriplesTemplate

          protected T setTriplesTemplate(TriplesTemplate triplesTemplate)

    - #### graph

          public T graph(GraphName graph)

    - #### getQueryActionString

          protected String getQueryActionString()

    - #### base

          public T base(Iri iri)

      Set the base IRI of this query
      Parameters:
        `iri` - the base IRI
      Returns:
        this

    - #### base

          public T base(Base base)

      Set the Base clause of this query
      Parameters:
        `base` - the `Base` clause to set
      Returns:
        this

    - #### prefix

          public T prefix(Prefix... prefixes)

      Add prefix declarations to this query
      Parameters:
        `prefixes` - the prefixes to add
      Returns:
        this

    - #### prefix

          public T prefix(PrefixDeclarations prefixes)

      Set the Prefix declarations of this query
      Parameters:
        `prefixes` - the `PrefixDeclarations` to set
      Returns:
        this

    - #### getQueryString

          public String getQueryString()

      Specified by:
        `getQueryString` in interface `QueryElement`
      Returns:
        the String representing the SPARQL syntax of this element

    - #### appendNamedTriplesTemplates

          protected void appendNamedTriplesTemplates(StringBuilder queryString,
                                                     Optional<GraphName> graphName,
                                                     TriplesTemplate triples)

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.